Subject: unsubscribe

From: "Wahl, Thorsten" <[email-masked]>
Date: Mon, 15 Jan 2001 10:02:32 +0100

Dear anybody,
please unsubscribe me from the newsletter and infoforum, my account is
failure und loop the hole mails.
Please, it is urgent!

Thanks
Thorsten

> -----Ursprüngliche Nachricht-----
> Von:	Kevin M. Myer [SMTP:[email-masked]]
> Gesendet am:	Freitag, 12. Januar 2001 20:50
> An:	[email-masked]
> Cc:	[email-masked]
> Betreff:	Sourceforge 1.5pre3 (and earlier) RPMS have broken flock
> support on Linux
> 
> Hello,
> 
> I posted a message a few weeks ago about a problem I was seeing here
> relating to file locking.  I was running a stock netatalk 1.5pre3
> installation from the Sourceforge RPM and it was brought to my attention
> by our users that there could be multiple read/write instances for any
> file on the server.  Upon investigation, I found that here was not a
> single lock being created.  I received no responses from the lists so I'm
> not sure if I'm an isolated case or if no one cares that their netatalk
> servers aren't locking :)
> 
> Anyway, after a lot of testing and trying to understand how the locking
> was working and a lot of recompiling, I figured out that the
> --enable-flock-locks option to configure was what was breaking the
> locking.  When I just let if use fcntl to do the locking, everything works
> perfectly.  
> 
> What this means is that at the very least, the Sourceforge 1.5pre3 (and
> probably earlier releases) is broken with respect to x86 Linux
> architectures.  I think I recall reading somewhere that flock was at one
> time broken under Linux so maybe its an operating system issue.  In any
> case, I'd recommend against using --enable-flock-locks if you're using x86
> Linux.
> 
> So far, I've reproduced the problem on every x86 machine I've tried.  I
> thought it might be related to the kernel on our SMP machine which has a
> large file system patch on it but a uniprocessor stock 2.2.16 kernel has
> the some locking problems.
> 
> If anyone could enlighten me as to whether this is a kernel issue or if
> its netatalk specific, it would help with further isolating the bug.
> 
> Thanks,
> 
> Kevin
> 
> -- 
> Kevin M. Myer
> Systems Administrator
> Lancaster-Lebanon Intermediate Unit 13
> (717)-560-6140